Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Failing to emerge gtkhtml (any version)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
chix4mat
Apprentice
Apprentice


Joined: 11 Dec 2005
Posts: 186
Location: Canada

PostPosted: Thu Jul 05, 2012 9:01 pm    Post subject: Failing to emerge gtkhtml (any version) Reply with quote

Hi all:

I am looking to install GNOME 3, and one guide I found recommended having GNOME 2 to kick things off. I went ahead and tried to install 3 anyway, ran into roadblocks, so I decided to install GNOME 2 first after all. Near the end though, gtkhtml fails.

Code:
make[1]: Leaving directory `/var/tmp/portage/gnome-extra/gtkhtml-3.32.2/work/gtkhtml-3.32.2'
make: *** [all] Error 2
emake failed
 * ERROR: gnome-extra/gtkhtml-3.32.2 failed (compile phase):
 *   compile failure
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 2932:  Called gnome2_src_compile
 *   environment, line 2236:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/gtkhtml-3.32.2'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/gtkhtml-3.32.2'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/gtkhtml-3.32.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/gtkhtml-3.32.2/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/gtkhtml-3.32.2/work/gtkhtml-3.32.2'
 * S: '/var/tmp/portage/gnome-extra/gtkhtml-3.32.2/work/gtkhtml-3.32.2'


I am not sure if this helps or not but...

Code:
emerge --info '=gnome-extra/gtkhtml-3.32.2'
Portage 2.1.10.65 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.14.1-r3, 3.3.8-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.3.8-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_X_980_@_3.33GHz-with-gentoo-2.1
Timestamp of tree: Tue, 03 Jul 2012 18:35:01 +0000
app-shells/bash:          4.2_p20
dev-lang/python:          2.6.8, 2.7.3-r2, 3.1.4-r3, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j13"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cleartype cli colord consolekit corefonts cracklib crypt css cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif extras fam ffmpeg firefox flac fortran ftp g3dvl gd gdbm gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk gzip iconv icu imagemagick ipod ipv6 jpeg kde lame lastfm lcms ldap libnotify lm_sensors lzma mad matroska mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib nautilus ncurses nls nptl nsplugin nvidia ogg opengl openmp pam pango pcre pdf perl php png policykit ppds pppd pulseaudio python qt3support qt4 raw readline samba sdl semantic-desktop session socialweb spell sqlite sse sse2 ssl startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb v4l v4l2 vdpau vmware vmware-tools vorbis wxwidgets x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

I tried installing other versions of gtkhtml to no avail, and also set my profile to GNOME, from KDE (via eselect). No matter what I try, this issue sticks around. If I could provide any additional information, please let me know. I really couldn't find anything specific here.[/code]

Thanks for any help!
_________________
chix4mat
Life would be so much easier if I had the source code...
emerge -NuDe world


Last edited by chix4mat on Fri Jul 06, 2012 12:10 am; edited 1 time in total
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5522

PostPosted: Thu Jul 05, 2012 9:31 pm    Post subject: Reply with quote

- bad guide
- that portage message tells nearly nothing significant
- fix the code tag
Back to top
View user's profile Send private message
chix4mat
Apprentice
Apprentice


Joined: 11 Dec 2005
Posts: 186
Location: Canada

PostPosted: Fri Jul 06, 2012 12:14 am    Post subject: Reply with quote

VoidMage wrote:
- that portage message tells nearly nothing significant


Not sure if the entire build log will help or not, but here it is:

http://deathspawner.net/etcetera/forums/gtkhtml_buildlog.txt
_________________
chix4mat
Life would be so much easier if I had the source code...
emerge -NuDe world
Back to top
View user's profile Send private message
Bzub
Tux's lil' helper
Tux's lil' helper


Joined: 25 Dec 2004
Posts: 89
Location: Belgium

PostPosted: Fri Jul 06, 2012 5:27 am    Post subject: Reply with quote

Hi,

Try unmasking a gtkhtml 4.4.*, that g_thread_init call should be fixed in the newer versions.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5522

PostPosted: Fri Jul 06, 2012 10:26 am    Post subject: Reply with quote

Bzub wrote:
Hi,

Try unmasking a gtkhtml 4.4.*, that g_thread_init call should be fixed in the newer versions.

You probably mean "made conditional depending on glib version".
Back to top
View user's profile Send private message
Potato Villain
n00b
n00b


Joined: 09 Oct 2012
Posts: 1

PostPosted: Tue Oct 09, 2012 11:46 pm    Post subject: Reply with quote

Is there a way to force gnome to use the newer version of gtkhtml? I am having the same problem (undefined reference to `g_thread_init') trying to install gtkhtml-3.32.2

I tried installing gtkhtml-4.4.3 manually, but it still wants to install gtkhtml-3.32.2 anyway.

Here is the emerge --pretend gnome output

Code:
Calculating dependencies  ... done!
[ebuild  NS    ] gnome-extra/gtkhtml-3.32.2 [4.4.3]
[ebuild  N     ] gnome-extra/bug-buddy-2.32.0-r2  USE="-eds"
[ebuild  N     ] gnome-extra/swfdec-gnome-2.30.1
[ebuild  N     ] gnome-extra/yelp-2.30.2-r200  USE="-debug -lzma"

... stuff

[ebuild  N     ] x11-misc/xdg-user-dirs-gtk-0.9
[ebuild  N     ] gnome-base/gnome-session-2.32.1-r3  USE="ipv6 -debug -doc"
[ebuild  N     ] gnome-base/gnome-2.32.1-r2  USE="cdr cups dvdr ldap policykit -accessibility -mono"


I tried to cheat and mask the package and got:
Code:

The following mask changes are necessary to proceed:
#required by gnome-base/gnome-2.32.1-r2, required by gnome (argument)
# /etc/portage/package.mask:
=gnome-extra/gtkhtml-3.32.2


Same results if I unmask gtkhtml-4.4.3 though this was somewhat pointless, I think, since I had it installed.

my mask/unmask files (in case I did it wrong):
Code:

package.mask:
<gnome-extra/gtkhtml-4.4.3
package.unmask:
=gnome-extra/gtkhtml-4.4.3



I'm kind of at a loss and would appreciate any advice to get gnome working (or am I screwed and need to find another solution?)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum